#ifndef _KGR_PATCH_BSC971793_IP_H
#define _KGR_PATCH_BSC971793_IP_H

#include <linux/netfilter_ipv4/ip_tables.h>

int kgr_patch_bsc971793_ip_init(void);
void kgr_patch_bsc971793_ip_cleanup(void);

int kgr_do_ipt_set_ctl(struct sock *sk, int cmd, void __user *user,
	unsigned int len);
struct xt_table *kgr_ipt_register_table(struct net *net,
	const struct xt_table *table, const struct ipt_replace *repl);
int kgr_compat_do_ipt_set_ctl(struct sock *sk, int cmd, void __user *user,
	unsigned int len);
unsigned int kgr_ipt_do_table(struct sk_buff *skb, unsigned int hook,
	const struct net_device *in, const struct net_device *out,
	struct xt_table *table);

#endif
